SpringXmlConfigurationBuilder (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.SpringXmlConfigurationBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class SpringXmlConfigurationBuilder

    java.lang.Object
      org.mule.config.builders.AbstractConfigurationBuilder
          org.mule.config.builders.AbstractResourceConfigurationBuilder
              org.mule.config.spring.SpringXmlConfigurationBuilder

All Implemented Interfaces:
  ConfigurationBuilder

Direct Known Subclasses:
  WebappMuleXmlConfigurationBuilder

    public class SpringXmlConfigurationBuilder

extends AbstractResourceConfigurationBuilder

`SpringXmlConfigurationBuilder` enables Mule to be configured from a Spring XML Configuration file used with Mule name-spaces. Multiple configuration files can be loaded from this builder (specified as a comma-separated list).

Field Summary
`static String` | `MULE_DEFAULTS_CONFIG`

Fields inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`configResources, logger`

Constructor Summary
`SpringXmlConfigurationBuilder(ConfigResource[] configResources)`
`SpringXmlConfigurationBuilder(String configResources)`
`SpringXmlConfigurationBuilder(String[] configResources)`

Method Summary
`protected void` | `applyLifecycle(LifecycleManager lifecycleManager)`
`protected org.springframework.context.ApplicationContext` | `createApplicationContext(MuleContext muleContext, ConfigResource[] configResources)`
`protected void` | `createSpringRegistry(MuleContext muleContext, org.springframework.context.ApplicationContext applicationContext)`
`protected void` | `doConfigure(MuleContext muleContext)`
`protected org.springframework.context.ApplicationContext` | `getParentContext()`
`boolean` | `isUseDefaultConfigResource()`
`void` | `setParentContext(org.springframework.context.ApplicationContext parentContext)`
`void` | `setUseDefaultConfigResource(boolean useDefaultConfigResource)`

Methods inherited from class org.mule.config.builders.AbstractResourceConfigurationBuilder
`configure, createConfigResourcesString, loadConfigResources`

Methods inherited from class org.mule.config.builders.AbstractConfigurationBuilder
`isConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_DEFAULTS_CONFIG

    public static final String MULE_DEFAULTS_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### SpringXmlConfigurationBuilder

    public SpringXmlConfigurationBuilder(String[] configResources)
                                  throws ConfigurationException

Throws:
  `ConfigurationException`

### SpringXmlConfigurationBuilder

    public SpringXmlConfigurationBuilder(String configResources)
                                  throws ConfigurationException

Throws:
  `ConfigurationException`

### SpringXmlConfigurationBuilder

    public SpringXmlConfigurationBuilder(ConfigResource[] configResources)

Method Detail

### doConfigure

    protected void doConfigure(MuleContext muleContext)
                        throws Exception

  Specified by:
    `doConfigure` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

### createApplicationContext

    protected org.springframework.context.ApplicationContext createApplicationContext(MuleContext muleContext,
                                                                                      ConfigResource[] configResources)
                                                                               throws Exception

  Throws:
    `Exception`

### createSpringRegistry

    protected void createSpringRegistry(MuleContext muleContext,
                                        org.springframework.context.ApplicationContext applicationContext)
                                 throws Exception

  Throws:
    `Exception`

### applyLifecycle

    protected void applyLifecycle(LifecycleManager lifecycleManager)
                           throws Exception

  Specified by:
    `applyLifecycle` in class `AbstractConfigurationBuilder`
  Throws:
    `Exception`

### isUseDefaultConfigResource

    public boolean isUseDefaultConfigResource()

### setUseDefaultConfigResource

    public void setUseDefaultConfigResource(boolean useDefaultConfigResource)

### getParentContext

    protected org.springframework.context.ApplicationContext getParentContext()

### setParentContext

    public void setParentContext(org.springframework.context.ApplicationContext parentContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.